org.apache.thrift.protocol

## Interface TProtocolFactory

- All Superinterfaces:
    java.io.Serializable
  All Known Implementing Classes:
    TBinaryProtocol.Factory, TCompactProtocol.Factory, TJSONProtocol.Factory, TSimpleJSONProtocol.Factory

      public interface TProtocolFactory
      extends java.io.Serializable

  Factory interface for constructing protocol instances.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TProtocol` | `getProtocol(TTransport trans)`

- - ### Method Detail

    - #### getProtocol

          TProtocol getProtocol(TTransport trans)